---
title: "Get Channel Counters"
slug: "get-channel-counters"
updated: 2026-06-08T12:46:40Z
published: 2026-06-08T12:46:40Z
stale: true
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Channel Counters

Get/api/v1/channels.counters

Gets channel counter for the authenticated user.

Permission required: `view-room-administration`

### Changelog

| Version | Description |
| --- | --- |
| 0.65.0 | Added |

Header parametersX-Auth-TokenstringRequired

The `authToken` of the authenticated user.

ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
X-User-IdstringRequired

The `userId` of the authenticated user.

ExamplerbAXPnMktTFbNpwtJ

Query parametersroomIdstring

The room ID. It is required if the `roomName` is not provided.

Exampledlpfuijw7ej
roomNamestring

The room name. It is required if the `roomId` is not provided.

Examplegeneral
userIdstring

The user ID.

ExampleRtycPC29hqLJfT9xj

Responses200

OK

**Note**

- `joined` boolean flag whether the user has joined the room or not.
- `members` is the count of current room members.
- `unreads` is the count of unread messages for the specified user (for the calling user or the provided user ID).
- `unreadsFrom` is the start date-time of unread interval for the specified user.
- `msgs` is the count of messages in the room.
- `latest` is the end date-time of unread interval for the specified user (or date-time of last posted message).
- `userMentions` is the count of user mentions in messages.

<select class='api-response-data' aria-label='Media type'><option value='b34658d2-bd1b-48b5-bf1a-157aca9b8b62'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='b5eff237-0a9e-40e5-90ec-5dc369219b34'>Example</option>
</select>Example

```json
{
  "joined": true,
  "members": 23,
  "unreads": 2,
  "unreadsFrom": "2023-09-12T16:33:11.644Z",
  "msgs": 7345,
  "latest": "2023-09-25T22:50:07.979Z",
  "userMentions": 0,
  "success": true
}
```

object  joinedboolean    
membersinteger    
unreadsinteger    
unreadsFromstring    
msgsinteger    
lateststring    
userMentionsinteger    
successboolean    

401

Unauthorized

<select class='api-response-data' aria-label='Media type'><option value='bdd1ed47-0307-4ea2-ae28-d5e701fa3a6d'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='789afb84-243a-4430-9b25-1b71a24057c9'>Authorization Error</option>
</select>Authorization Error

```json
{
  "status": "error",
  "message": "You must be logged in to do this."
}
```

object  statusstring    
messagestring
